<html>
<head>
<title>OGRE: Ogre::PlaneBoundedVolume Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1PlaneBoundedVolume.html">PlaneBoundedVolume</a></div>
<h1>Ogre::PlaneBoundedVolume Class Reference</h1><!-- doxytag: class="Ogre::PlaneBoundedVolume" -->Represents a convex volume bounded by planes.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgrePlaneBoundedVolume_8h-source.html">OgrePlaneBoundedVolume.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1PlaneBoundedVolume-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; <a class="el" href="classOgre_1_1Plane.html">Plane</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#dffb808d81baf5b8342fc8959e8123bf">PlaneList</a></td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#9f3907950c9fd279e01ac1d4a03d9871">PlaneBoundedVolume</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#1f07490e0ddb2809e1e2b71a89c23856">PlaneBoundedVolume</a> (<a class="el" href="classOgre_1_1Plane.html#a5d44b14d6f032f3e0a26e83589180bc">Plane::Side</a> theOutside)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor, determines which side is deemed to be 'outside'.  <a href="#1f07490e0ddb2809e1e2b71a89c23856"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#ee3ce7eff75f501f8d9a33faa9b64174">intersects</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;box) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Intersection test with AABB.  <a href="#ee3ce7eff75f501f8d9a33faa9b64174"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#4b02564f2535f2bdf1ac38447582f61a">intersects</a> (const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;sphere) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Intersection test with <a class="el" href="classOgre_1_1Sphere.html" title="A sphere primitive, mostly used for bounds checking.">Sphere</a>.  <a href="#4b02564f2535f2bdf1ac38447582f61a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">std::pair&lt; bool, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#e4528e95f68402ad6fea0ff6414dbeb7">intersects</a> (const <a class="el" href="classOgre_1_1Ray.html">Ray</a> &amp;ray)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Intersection test with a <a class="el" href="classOgre_1_1Ray.html" title="Representation of a ray in space, ie a line with an origin and direction.">Ray</a>.  <a href="#e4528e95f68402ad6fea0ff6414dbeb7"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#dffb808d81baf5b8342fc8959e8123bf">PlaneList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#20b9a9b8d76a970c5f6cbac4cb438054">planes</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Publicly accessible plane list, you can modify this direct.  <a href="#20b9a9b8d76a970c5f6cbac4cb438054"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Plane.html#a5d44b14d6f032f3e0a26e83589180bc">Plane::Side</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#4d323aac2569fdb268dd6dda2801896e">outside</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Represents a convex volume bounded by planes. 
<p>Definition at line <a class="el" href="OgrePlaneBoundedVolume_8h-source.html#l00043">43</a> of file <a class="el" href="OgrePlaneBoundedVolume_8h-source.html">OgrePlaneBoundedVolume.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="dffb808d81baf5b8342fc8959e8123bf"></a><!-- doxytag: member="Ogre::PlaneBoundedVolume::PlaneList" ref="dffb808d81baf5b8342fc8959e8123bf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="classOgre_1_1Plane.html">Plane</a>&gt; <a class="el" href="classOgre_1_1PlaneBoundedVolume.html#dffb808d81baf5b8342fc8959e8123bf">Ogre::PlaneBoundedVolume::PlaneList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlaneBoundedVolume_8h-source.html#l00046">46</a> of file <a class="el" href="OgrePlaneBoundedVolume_8h-source.html">OgrePlaneBoundedVolume.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="9f3907950c9fd279e01ac1d4a03d9871"></a><!-- doxytag: member="Ogre::PlaneBoundedVolume::PlaneBoundedVolume" ref="9f3907950c9fd279e01ac1d4a03d9871" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::PlaneBoundedVolume::PlaneBoundedVolume           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlaneBoundedVolume_8h-source.html#l00051">51</a> of file <a class="el" href="OgrePlaneBoundedVolume_8h-source.html">OgrePlaneBoundedVolume.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1f07490e0ddb2809e1e2b71a89c23856"></a><!-- doxytag: member="Ogre::PlaneBoundedVolume::PlaneBoundedVolume" ref="1f07490e0ddb2809e1e2b71a89c23856" args="(Plane::Side theOutside)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::PlaneBoundedVolume::PlaneBoundedVolume           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Plane.html#a5d44b14d6f032f3e0a26e83589180bc">Plane::Side</a>&nbsp;</td>
          <td class="paramname"> <em>theOutside</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructor, determines which side is deemed to be 'outside'. 
<p>

<p>Definition at line <a class="el" href="OgrePlaneBoundedVolume_8h-source.html#l00053">53</a> of file <a class="el" href="OgrePlaneBoundedVolume_8h-source.html">OgrePlaneBoundedVolume.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="ee3ce7eff75f501f8d9a33faa9b64174"></a><!-- doxytag: member="Ogre::PlaneBoundedVolume::intersects" ref="ee3ce7eff75f501f8d9a33faa9b64174" args="(const AxisAlignedBox &amp;box) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::PlaneBoundedVolume::intersects           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>box</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Intersection test with AABB. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>May return false positives but will never miss an intersection. </dd></dl>

<p>Definition at line <a class="el" href="OgrePlaneBoundedVolume_8h-source.html#l00059">59</a> of file <a class="el" href="OgrePlaneBoundedVolume_8h-source.html">OgrePlaneBoundedVolume.h</a>.</p>

<p>References <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00682">Ogre::AxisAlignedBox::getCenter()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00714">Ogre::AxisAlignedBox::getHalfSize()</a>, <a class="el" href="classOgre_1_1Plane.html#e0131ee8cf1c09587c5cc4541c3b6297">Ogre::Plane::getSide()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00545">Ogre::AxisAlignedBox::isInfinite()</a>, and <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00524">Ogre::AxisAlignedBox::isNull()</a>.</p>

</div>
</div><p>
<a class="anchor" name="4b02564f2535f2bdf1ac38447582f61a"></a><!-- doxytag: member="Ogre::PlaneBoundedVolume::intersects" ref="4b02564f2535f2bdf1ac38447582f61a" args="(const Sphere &amp;sphere) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::PlaneBoundedVolume::intersects           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>sphere</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Intersection test with <a class="el" href="classOgre_1_1Sphere.html" title="A sphere primitive, mostly used for bounds checking.">Sphere</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>May return false positives but will never miss an intersection. </dd></dl>

<p>Definition at line <a class="el" href="OgrePlaneBoundedVolume_8h-source.html#l00090">90</a> of file <a class="el" href="OgrePlaneBoundedVolume_8h-source.html">OgrePlaneBoundedVolume.h</a>.</p>

<p>References <a class="el" href="OgreSphere_8h-source.html#l00068">Ogre::Sphere::getCenter()</a>, <a class="el" href="classOgre_1_1Plane.html#9548b13f88e65d98ea08ba01c8f2fad1">Ogre::Plane::getDistance()</a>, <a class="el" href="OgreSphere_8h-source.html#l00062">Ogre::Sphere::getRadius()</a>, and <a class="el" href="OgrePlane_8h-source.html#l00074">Ogre::Plane::NEGATIVE_SIDE</a>.</p>

</div>
</div><p>
<a class="anchor" name="e4528e95f68402ad6fea0ff6414dbeb7"></a><!-- doxytag: member="Ogre::PlaneBoundedVolume::intersects" ref="e4528e95f68402ad6fea0ff6414dbeb7" args="(const Ray &amp;ray)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;bool, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt; Ogre::PlaneBoundedVolume::intersects           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Ray.html">Ray</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>ray</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Intersection test with a <a class="el" href="classOgre_1_1Ray.html" title="Representation of a ray in space, ie a line with an origin and direction.">Ray</a>. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>std::pair of hit (bool) and distance </dd></dl>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>May return false positives but will never miss an intersection. </dd></dl>

<p>Definition at line <a class="el" href="OgrePlaneBoundedVolume_8h-source.html#l00115">115</a> of file <a class="el" href="OgrePlaneBoundedVolume_8h-source.html">OgrePlaneBoundedVolume.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#11664bfebecca73dbb42c0959d3d9ff7">Ogre::Math::intersects()</a>, and <a class="el" href="OgrePlane_8h-source.html#l00073">Ogre::Plane::POSITIVE_SIDE</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="20b9a9b8d76a970c5f6cbac4cb438054"></a><!-- doxytag: member="Ogre::PlaneBoundedVolume::planes" ref="20b9a9b8d76a970c5f6cbac4cb438054" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html#dffb808d81baf5b8342fc8959e8123bf">PlaneList</a> <a class="el" href="classOgre_1_1PlaneBoundedVolume.html#20b9a9b8d76a970c5f6cbac4cb438054">Ogre::PlaneBoundedVolume::planes</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Publicly accessible plane list, you can modify this direct. 
<p>

<p>Definition at line <a class="el" href="OgrePlaneBoundedVolume_8h-source.html#l00048">48</a> of file <a class="el" href="OgrePlaneBoundedVolume_8h-source.html">OgrePlaneBoundedVolume.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRay_8h-source.html#l00087">Ogre::Ray::intersects()</a>.</p>

</div>
</div><p>
<a class="anchor" name="4d323aac2569fdb268dd6dda2801896e"></a><!-- doxytag: member="Ogre::PlaneBoundedVolume::outside" ref="4d323aac2569fdb268dd6dda2801896e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Plane.html#a5d44b14d6f032f3e0a26e83589180bc">Plane::Side</a> <a class="el" href="classOgre_1_1PlaneBoundedVolume.html#4d323aac2569fdb268dd6dda2801896e">Ogre::PlaneBoundedVolume::outside</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePlaneBoundedVolume_8h-source.html#l00049">49</a> of file <a class="el" href="OgrePlaneBoundedVolume_8h-source.html">OgrePlaneBoundedVolume.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRay_8h-source.html#l00087">Ogre::Ray::intersects()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePlaneBoundedVolume_8h-source.html">OgrePlaneBoundedVolume.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:48 2008
</p>
</body>
</html>
